export const STDIN_FILENO = 0;
export const STOUT_FILENO = 1;
export const TCSANOW = 0;
export const TCSAFLUSH = 2;

export const TERMIOS_SIZE = 60;

/**
 * Common interface for setting Termios properties
 */
export interface ITermios {
	/**
	 * Are we currently in raw mode?
	 */
	inRawMode: boolean;

	/**
	 * Toggles on raw mode
	 */
	enableRawMode(): void;

	/**
	 * Restores canonical mode
	 */
	disableRawMode(): void;
}